Package commoble.morered.wires

# Class WireUpdatePacket

java.lang.Object
commoble.morered.wires.WireUpdatePacket

All Implemented Interfaces:
  `Consumer<net.minecraftforge.network.NetworkEvent.Context>`

public class WireUpdatePacket extends Object implements Consumer<net.minecraftforge.network.NetworkEvent.Context>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<WireUpdatePacket>`
`CODEC`

## Constructor Summary

Constructors
Constructor
Description
`WireUpdatePacket(Set<net.minecraft.core.BlockPos> positions)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(net.minecraftforge.network.NetworkEvent.Context context)`
`Set<net.minecraft.core.BlockPos>`
`getPositions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<WireUpdatePacket> CODEC

## Constructor Details

### WireUpdatePacket

public WireUpdatePacket(Set<net.minecraft.core.BlockPos> positions)

## Method Details

### getPositions

public Set<net.minecraft.core.BlockPos> getPositions()

### accept

public void accept(net.minecraftforge.network.NetworkEvent.Context context)

Specified by:
  `accept` in interface `Consumer<net.minecraftforge.network.NetworkEvent.Context>`